For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filtered status

Retrieves job status or job result with filtered validation messages.

get

Retrieve job status or job result that includes filtered validation messages.

Authorizations
AuthorizationstringRequired

Please enter token

Path parameters
idstringRequired

The validation job id (UUID)

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

OK

application/json
jobStatusstring · nullableOptionalExample: success
startDateTimestring · nullableOptionalExample: 2021-08-03T13:45:30Z
endDateTimestring · nullableOptionalExample: 2021-08-03T13:55:30Z
get/validation/filtered-status/{id}
GET /validation/filtered-status/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "jobStatus": "success",
  "startDateTime": "2021-08-03T13:45:30Z",
  "endDateTime": "2021-08-03T13:55:30Z",
  "validations": [
    {
      "validationType": 0,
      "validationResult": "valid",
      "messages": [
        {
          "category": "Process object",
          "type": "Notification",
          "code": "2009",
          "message": "An assertion with unsatisfied precondition found",
          "attributes": [
            {
              "name": "GenPreconditionTest",
              "value": "$varArc_CashFlowStatement_PrtValueThnNoExistenceCovA12_CashFlowStatementMethodType eq 'Direct'"
            }
          ]
        }
      ]
    }
  ]
}

Was this helpful?